#!/usr/bin/env bash

# -------- 可按需修改 --------
TARGET="/opt/ql/DailyMotion/main.py"   # 关键字：精确到脚本路径即可
SIG="9"                                # 信号；默认 -9，想温和一点改成 15
# --------------------------------

pids=$(pgrep -f "$TARGET")

if [ -z "$pids" ]; then
    echo "没有发现正在运行的 $TARGET"
    exit 0
fi

echo "即将发送 SIG${SIG:-15} 到进程: $pids"
kill "-${SIG:-15}" $pids

echo "完成"