import time

from DB import DBVidcon, DBSA
from report_video import DailymotionClient
import logger

db = DBVidcon()
d = DailymotionClient()

while True:
    lis = db.get_report_video()
    if len(lis) == 0:
        time.sleep(60 * 5)
    else:
        for li in lis:
            logger.logger.info(f"name:{li['name_title']},link:{li['link']} ")
            try:
                info = d.process_ticket(li['name_title'], li['link'])
                db.update_fight_record_status(li['id'], 2, f"http://123.58.197.91:5000/image/{info}")
                db.flush()
                time.sleep(5 * 60)
            except Exception as e:
                logger.logger.error(f"ID:{li['id']}, e:{e}")
                db.update_fight_record_status(li['id'], 3, str(e))
                time.sleep(1 * 60)
